#pragma once

#include "MachineInterface.h"
#include "TestDialog.h"

#define MAX_TRACKS 255

// Parameters

CMachineParameter const paraDummy =
{
	pt_switch,					//Type
	"Dummy",					//Short name
	"Dummy",					//Long name
	-1,							//Min value
	-1,							//Max value
	SWITCH_NO,					//No value
	0,							//Flags
	0							//Default value
};


// Attributes

CMachineAttribute const attrDummy =
{
	"Dummy",	// Name
	0,			// MinValue
	1,			// MaxValue
	0,			// DefValue
};

enum
{
	GID_DUMMY = 0,

	NUM_GLOBAL_PARAMS = 1,
	
	TID_DUMMY = NUM_GLOBAL_PARAMS,

	NUM_TRACK_PARAMS = 1,

	NUM_ATTRIBUTES = 1
};

////////////////////////////////////////////////////////////////////////

#pragma pack(1)

class gvals
{
public :
	byte Dummy;
};

class tvals
{
public :
	byte Dummy;
};

class avals
{
public :
	int Dummy;
};

#pragma pack()

////////////////////////////////////////////////////////////////////////

class mi : public CMachineInterface, CMachineInterfaceEx
{
public:

	mi();
	virtual ~mi();

public: // CMachineInterface overrides

	virtual void Command(const int i);

public: // CMachineInterfaceEx overrides

public : // mi

public:

	gvals gval;
	tvals tval[MAX_TRACKS];
	avals aval;

	CMachine *m_pMachine;

	int m_trackCount;
};
